# 基础的单库操作
server:
  port: 8081
mybatis:
  mapper-locations: classpath:mapper/*.xml
  type-aliases-package: com.sunxd.study.sharding.jdbc.po
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
spring:
  # 单库
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://${MYSQL_HOST:127.0.0.1}:${MYSQL_PORT:3306}/${MYSQL_DATA_BASE:db1}?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true&userSSL=false&serverTimezone=GMT%2B8
    username: root
    password: root
    hikari:
      pool-name: hikari-server
      maximum-pool-size: 15
      connection-test-query: SELECT 1
      max-lifetime: 60000
      connection-timeout: 30000
      validation-timeout: 1000
      leak-detection-threshold: 2000
  main:
    allow-bean-definition-overriding: on




